ESXi 6.0 Update 1b released – fixes ESXi 5.5 Update 3b upgrade path!

I recently posted about how my upgrade from ESXi 5.5 Update 3b failed when trying to go to ESXi 6.0 Update 1a.  However, I had noticed today that VMware released ESXi 6.0 Update 1b (build 3380124).  Naturally, I checked the release notes and noticed nothing specifically calling out any fixes that would allow for 5.5 Update 3b to upgrade to this build without issue.  There were some other pertinent fixes listed along with the highlighting of some known issues.  Much of these latest releases revolve around CBT fixes and SSLv3/TLS support changes.  You should check out the release notes to see if any of this applies to your environment.

Because I had recently needed to upgrade a 5.5 Update 3b cluster and had it fail I decided to give it another try.  To be clear, I attempted the remediation through VUM to see if it would throw any errors and it didn’t.  That said, I did notice in VUM patches that there was an esx-base patch dated 01/04/16 that could be applied:

3

I did not apply this patch/update because I wanted to see if I could take build 3248547 to 3380124 without applying this latest patch, since this is how my update failed last week.  I found that attaching the 6.0 Update 1b ISO to the host and scanning it did not result in errors regarding incompatible VIBs for upgrade!  So, next I attached the ISO to the machine via iDRAC virtual media and attempted the upgrade through the console (which had previously failed with an error regarding the XHCI VIB) and it now works:

4

And of course after the reboot, the host is now running 6.0 Update 1b:

5

Unfortunately I will have to upgrade my vCenter Server Appliance to 6.0 Update 1b as well since you cannot connect a host with a higher build than vCenter.  I was anxious to try and upgrade this host so I skipped upgrading the VCSA at this time.  I’ll be doing that next.

So, as of this posting, it would appear as though you can upgrade 5.5 Update 3b to 6.0 Update 1b.  Not only that, but it seems as though you can upgrade without having to apply the esx-base patch that was released on 01/04/16, as well!  Please let me know if you experience results that do not coincide with mine as I’d be interested to see if the issue is vendor-specific (ISO) or not!

I am going to redeploy an ESXi 5.5 Update 3b host and apply the 01/04/16 patch to make sure there’s nothing newer in that release that would prevent the 6.0 Update 1b upgrade again, but I suspect that it should work fine.

Thanks for reading!

Author: Jon

Share This Post On

Submit a Comment

Your email address will not be published. Required fields are marked *

Share This
%d bloggers like this: